unit RcpManFrameSetValue;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ComCtrls, StdCtrls, Buttons, ExtCtrls;

type
  TRcpManFrameSetValueForm = class(TForm)
    BitBtn1: TBitBtn;
    Panel1: TPanel;
    list: TListView;
    procedure FormCreate(Sender: TObject);
    procedure listClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    value: integer;
  end;

var
  RcpManFrameSetValueForm: TRcpManFrameSetValueForm;

implementation

{$R *.dfm}

procedure TRcpManFrameSetValueForm.FormCreate(Sender: TObject);
begin
  value := -1;
  left := Mouse.CursorPos.X-40;
  top := Mouse.CursorPos.Y;

end;

procedure TRcpManFrameSetValueForm.listClick(Sender: TObject);
begin
  if list.Selected=nil then exit;
  value := list.Selected.Index;
  close;
end;

end.
